package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yonge.toolset.payment.base.enums.TradeStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import java.math.BigDecimal;

/**
 * 退款单表
 */
@TableName("user_order_refund_bill")
@ApiModel(value = "UserOrderRefundBill对象", description = "退款单表")
public class UserOrderRefundBill implements Serializable {
	private static final long serialVersionUID = 1L;
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    @ApiModelProperty("退款申请单号 ")
	@TableField(value = "refund_id_")
    private Long refundId;
    @ApiModelProperty("退款订单号 ")
	@TableField(value = "bill_no_")
    private String billNo;
    @ApiModelProperty("交易流水号（支付对象id） ")
	@TableField(value = "trans_no_")
    private String transNo;
    @ApiModelProperty("交易金额 ")
	@TableField(value = "refund_amt_")
    private BigDecimal refundAmt;
    @ApiModelProperty("回调交易金额 ")
	@TableField(value = "back_refund_amt_")
    private BigDecimal backRefundAmt;
    @ApiModelProperty("收取的服务费 ")
	@TableField(value = "fee_amt_")
    private BigDecimal feeAmt;
    @ApiModelProperty("交易状态 pending 交易处理中 succeeded 交易成功 failed 交易失败 close 交易关闭 ")
	@TableField(value = "status_")
    private TradeStatusEnum status;
    @ApiModelProperty("失败信息 ")
	@TableField(value = "pay_fail_msg_")
    private String payFailMsg;
	@TableField(value = "create_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;
	@TableField(value = "update_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;

	public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    
	public Long getRefundId() {
        return refundId;
    }

    public void setRefundId(Long refundId) {
        this.refundId = refundId;
    }

    public String getBillNo() {
        return billNo;
    }

    public void setBillNo(String billNo) {
        this.billNo = billNo;
    }

    public String getTransNo() {
        return transNo;
    }

    public void setTransNo(String transNo) {
        this.transNo = transNo;
    }
    
	public BigDecimal getRefundAmt() {
        return refundAmt;
    }

    public void setRefundAmt(BigDecimal refundAmt) {
        this.refundAmt = refundAmt;
    }
    
	public BigDecimal getBackRefundAmt() {
        return backRefundAmt;
    }

    public void setBackRefundAmt(BigDecimal backRefundAmt) {
        this.backRefundAmt = backRefundAmt;
    }
    
	public BigDecimal getFeeAmt() {
        return feeAmt;
    }

    public void setFeeAmt(BigDecimal feeAmt) {
        this.feeAmt = feeAmt;
    }
    
	public TradeStatusEnum getStatus() {
        return status;
    }

    public void setStatus(TradeStatusEnum status) {
        this.status = status;
    }
    
	public String getPayFailMsg() {
        return payFailMsg;
    }

    public void setPayFailMsg(String payFailMsg) {
        this.payFailMsg = payFailMsg;
    }
    
	public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    
	public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    
}